Subject: [SWIPL] indexing clarification

From: Lindsay Mason <[email-masked]>
Date: Thu, 24 May 2001 12:24:46 -0700

Hello,

I would like some clarification on indexing.  Below I have quoted a 
sentence from the documentation for 'index':

"Only atoms, integers and functors (e.g. name and arity of a term) are 
considered."

What is meant by a 'functor'?  I assume this means that during indexing 
grocery/6 is treated as a 'functor' and not as a term with functor '/' and 
arity 2.  ie.  /(grocery,6)

So does that mean that the following can be indexed on the first argument?

tables(grocery/6, A, B, tables(A, C, D), tables(B, C, D)).

Also, do other prolog implementations do the same?

thanks,

Lindsay Mason